#region Copyright Syncfusion Inc. 2001 - 2005
//
//  Copyright Syncfusion Inc. 2001 - 2005. All rights reserved.
//
//  Use of this code is subject to the terms of our license.
//  A copy of the current license can be obtained at any time by e-mailing
//  licensing@syncfusion.com. Any infringement will be prosecuted under
//  applicable laws. 
//
#endregion

using System;
using System.Drawing;
using System.Drawing.Drawing2D;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;
using System.Data;

using Syncfusion.Windows.Forms.Chart;

namespace Syncfusion.Windows.Forms.Chart.Samples
{
	/// <summary>
	/// The ChartControl sample form.
	/// </summary>
	public class FormMain : Form
	{
		private Syncfusion.Windows.Forms.Chart.ChartControl chartControl1;
		private System.Windows.Forms.Panel panel1;
		private System.Windows.Forms.CheckBox checkBox1;
		/// <summary>
		/// Required designer variable.
		/// </summary>
		private System.ComponentModel.Container components = null;

		public FormMain()
		{
			//
			// Required for Windows Form Designer support
			//
			InitializeComponent();
			InitializeControlSettings();

		}

		/// <summary>
		/// Clean up any resources being used.
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if (components != null) 
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		#region Windows Form Designer generated code
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{
			System.Resources.ResourceManager resources = new System.Resources.ResourceManager(typeof(FormMain));
			this.chartControl1 = new Syncfusion.Windows.Forms.Chart.ChartControl();
			this.panel1 = new System.Windows.Forms.Panel();
			this.checkBox1 = new System.Windows.Forms.CheckBox();
			this.panel1.SuspendLayout();
			this.SuspendLayout();
			// 
			// chartControl1
			// 
			this.chartControl1.Anchor = (((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
				| System.Windows.Forms.AnchorStyles.Left) 
				| System.Windows.Forms.AnchorStyles.Right);
			this.chartControl1.Controls.AddRange(new System.Windows.Forms.Control[] {
																						this.chartControl1.Legend});
			this.chartControl1.Font = new System.Drawing.Font("Arial", 12F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			// 
			// chartControl1.Legend
			// 
			this.chartControl1.Legend.Font = new System.Drawing.Font("Verdana", 10F);
			this.chartControl1.Legend.ItemsShadowColor = System.Drawing.Color.Gray;
			this.chartControl1.Legend.Location = new System.Drawing.Point(363, 187);
			this.chartControl1.Legend.TabIndex = 3;
			this.chartControl1.Name = "chartControl1";
			this.chartControl1.PrimaryXAxis.LabelAligment = System.Drawing.StringAlignment.Center;
			this.chartControl1.PrimaryXAxis.Orientation = Syncfusion.Windows.Forms.Chart.ChartOrientation.Horizontal;
			this.chartControl1.PrimaryXAxis.SmartDateZoomMonthLevelLabelFormat = "m";
			this.chartControl1.PrimaryYAxis.LabelAligment = System.Drawing.StringAlignment.Center;
			this.chartControl1.PrimaryYAxis.SmartDateZoomMonthLevelLabelFormat = "m";
			this.chartControl1.Size = new System.Drawing.Size(464, 374);
			this.chartControl1.TabIndex = 2;
			this.chartControl1.Text = "Essential Chart";
			this.chartControl1.ToolBar.Location = new System.Drawing.Point(0, 0);
			this.chartControl1.ZoomOutIncrement = 1.5;
			// 
			// panel1
			// 
			this.panel1.Anchor = ((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
				| System.Windows.Forms.AnchorStyles.Right);
			this.panel1.BackColor = System.Drawing.Color.White;
			this.panel1.Controls.AddRange(new System.Windows.Forms.Control[] {
																				 this.checkBox1});
			this.panel1.Location = new System.Drawing.Point(464, 0);
			this.panel1.Name = "panel1";
			this.panel1.Size = new System.Drawing.Size(88, 376);
			this.panel1.TabIndex = 3;
			// 
			// checkBox1
			// 
			this.checkBox1.FlatStyle = System.Windows.Forms.FlatStyle.System;
			this.checkBox1.Location = new System.Drawing.Point(16, 64);
			this.checkBox1.Name = "checkBox1";
			this.checkBox1.Size = new System.Drawing.Size(64, 24);
			this.checkBox1.TabIndex = 0;
			this.checkBox1.Text = "3D View";
			this.checkBox1.CheckedChanged += new System.EventHandler(this.checkBox1_CheckedChanged);
			// 
			// FormMain
			// 
			this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
			this.ClientSize = new System.Drawing.Size(552, 374);
			this.Controls.AddRange(new System.Windows.Forms.Control[] {
																		  this.panel1,
																		  this.chartControl1});
			this.Icon = ((System.Drawing.Icon)(resources.GetObject("$this.Icon")));
			this.Name = "FormMain";
			this.Text = "Essential Chart - Bar Chart Sample";
			this.Load += new System.EventHandler(this.FormMain_Load);
			this.panel1.ResumeLayout(false);
			this.ResumeLayout(false);

		}
		#endregion

		private void InitializeControlSettings()
		{
			this.chartControl1.Font = new System.Drawing.Font("Arial", 12F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));

			// Specify a ChartPalette:
			Color[] color = new Color[]{Color.FromArgb(185, 73,141,238), Color.FromArgb(185,247,179,78),Color.FromArgb(185,186,66,30)};
			this.chartControl1.Palette = ChartColorPalette.Custom ;
			this.chartControl1.Model.ColorModel.CustomColors = color;
			this.chartControl1.Palette = ChartColorPalette.Custom ;

			this.chartControl1.ChartInterior = new Syncfusion.Drawing.BrushInfo(185,new Syncfusion.Drawing.BrushInfo(Syncfusion.Drawing.GradientStyle.Vertical, Color.LightBlue , Color.Azure));
			this.chartControl1.LegendPosition = ChartDock.Top;
			this.chartControl1.HidePartialLabels = true;
		}

		/// <summary>
		/// The main entry point for the application.
		/// </summary>
		[STAThread]
		static void Main() 
		{
			Application.Run(new FormMain());
		}

		private void FormMain_Load(object sender, System.EventArgs e)
		{
			InitializeChartData();
		}

		/// <summary>
		/// Initializes the ChartControl's data and sets the Chart type
		/// </summary>
		protected void InitializeChartData()
		{				
            //ChartSeries series = this.chartControl1.Model.NewSeries("Server 1");
            //series.Text=series.Name;

            //series.Points.Add(9,225);
            //series.Points.Add(11,280);
            //series.Points.Add(13,325);
            //series.Points.Add(15,275);
            //series.Points.Add(17,350);
								
            //this.chartControl1.Series.Add(series);

            ChartSeries series = this.chartControl1.Model.NewSeries("Current Analysis");
            series.Text = series.Name;
            series.Type = ChartSeriesType.Bar;
            series.Style.ToolTip = series.Text;
            series.Style.Interior = new Syncfusion.Drawing.BrushInfo(Color.Maroon);
            series.Style.DisplayText = true;
            series.Style.TextColor = Color.Black;
            series.Style.TextOffset = 10;
            series.Style.TextOrientation = ChartTextOrientation.Smart;

            series.Points.Add(4, 0.07541608065366745);
            series.Points.Add(2, 0.17611062526702881);
            series.Points.Add(6, 0.98500001430511475);

            this.chartControl1.Series.Add(series);

            //series.Type=ChartSeriesType.Bar;

            //ChartSeries series1 = this.chartControl1.Model.NewSeries("Server 2");
            //series1.Text=series1.Name;

            //series1.Points.Add(9,325);
            //series1.Points.Add(11,380);
            //series1.Points.Add(13,355);
            //series1.Points.Add(15,315);
            //series1.Points.Add(17,300);
								
            //this.chartControl1.Series.Add(series1);
            //series1.Type=ChartSeriesType.Bar;

            ChartSeries series1 = this.chartControl1.Model.NewSeries("Price-Implied");
            series1.Text = series1.Name;
            series1.Type = ChartSeriesType.Bar;
            series1.Style.ToolTip = series1.Text;
            series1.Style.Interior = new Syncfusion.Drawing.BrushInfo(Color.RoyalBlue);
            series1.Style.DisplayText = true;
            series1.Style.TextColor = Color.Black;
            series1.Style.TextOffset = 10;
            series1.Style.TextOrientation = ChartTextOrientation.Smart;

            series1.Points.Add(3, 1.4879863262176514);
            series1.Points.Add(1, 0.19601765275001526);
            series1.Points.Add(5, 0.0);

            this.chartControl1.Series.Add(series1);

			this.chartControl1.PrimaryXAxis.GridLineType.ForeColor = Color.Transparent;
			this.chartControl1.PrimaryYAxis.GridLineType.ForeColor = Color.Transparent;
		
			this.chartControl1.PrimaryXAxis.Title="Server load(MBytes)";
			this.chartControl1.Text="Peak Average Network Load";

			this.chartControl1.PrimaryYAxis.RangeType=ChartAxisRangeType.Set;
            //this.chartControl1.PrimaryYAxis.Range=new MinMaxInfo(8,18,2);
            this.chartControl1.PrimaryYAxis.Range = new MinMaxInfo(0, 7, 1);
            this.chartControl1.PrimaryXAxis.Range = new MinMaxInfo(0, 1.7359840472539265, 0.24799772103627524);

			this.chartControl1.PrimaryYAxis.Title="Peak Load Hours";
		}

		private void checkBox1_CheckedChanged(object sender, System.EventArgs e)
		{
			this.chartControl1.Series3D = this.checkBox1.Checked;
		}
	}
}